IOSS 2.0

Functions | Variables
anonymous_namespace{Iopx_DatabaseIO.C} Namespace Reference

## Functions
const std::string | SEP ()
void | get_connectivity_data (int exoid, void *data, ex_entity_type type, ex_entity_id id, int position, int int_size_api)
template<typename T >
void | compute_internal_border_maps (T *entities, T *internal, size_t count, size_t entity_count)
template<typename INT >
void | map_nodeset_id_data (const Ioss::IntVector &owning_processor, Ioss::Int64Vector &owned_nodes, int this_processor, const INT *ids, size_t ids_size, std::vector< INT > &file_data)
template<typename T , typename U >
void | map_nodeset_data (Ioss::Int64Vector &owned_nodes, const T *data, std::vector< U > &file_data, size_t offset=0, size_t stride=1)
template<typename T >
void | extract_data (std::vector< double > &local_data, T *data, size_t num_entity, size_t offset, size_t comp_count)
template<typename T , typename U >
void | map_data (const Ioss::IntVector &owning_processor, int this_processor, const T *data, std::vector< U > &file_data, size_t offset=0, size_t stride=1)
template<typename INT >
void | map_local_to_global_implicit (INT *data, size_t count, const std::vector< int64_t > &global_implicit_map)

## Variables
const size_t | max_line_length = MAX_LINE_LENGTH
const char * | complex_suffix [] = {".re", ".im"}

## Function Documentation

## ◆ compute_internal_border_maps()

template<typename T >

void anonymous_namespace{Iopx_DatabaseIO.C}::compute_internal_border_maps | ( | T * | entities,
|  | T * | internal,
|  | size_t | count,
|  | size_t | entity_count
| ) |  |

## ◆ extract_data()

template<typename T >

void anonymous_namespace{Iopx_DatabaseIO.C}::extract_data | ( | std::vector< double > & | local_data,
|  | T * | data,
|  | size_t | num_entity,
|  | size_t | offset,
|  | size_t | comp_count
| ) |  |

## ◆ get_connectivity_data()

void anonymous_namespace{Iopx_DatabaseIO.C}::get_connectivity_data | ( | int | exoid,
|  | void * | data,
|  | ex_entity_type | type,
|  | ex_entity_id | id,
|  | int | position,
|  | int | int_size_api
| ) |  |

## ◆ map_data()

template<typename T , typename U >

void anonymous_namespace{Iopx_DatabaseIO.C}::map_data | ( | const Ioss::IntVector & | owning_processor,
|  | int | this_processor,
|  | const T * | data,
|  | std::vector< U > & | file_data,
|  | size_t | offset = `0`,
|  | size_t | stride = `1`
| ) |  |

## ◆ map_local_to_global_implicit()

template<typename INT >

void anonymous_namespace{Iopx_DatabaseIO.C}::map_local_to_global_implicit | ( | INT * | data,
|  | size_t | count,
|  | const std::vector< int64_t > & | global_implicit_map
| ) |  |

## ◆ map_nodeset_data()

template<typename T , typename U >

void anonymous_namespace{Iopx_DatabaseIO.C}::map_nodeset_data | ( | Ioss::Int64Vector & | owned_nodes,
|  | const T * | data,
|  | std::vector< U > & | file_data,
|  | size_t | offset = `0`,
|  | size_t | stride = `1`
| ) |  |

## ◆ map_nodeset_id_data()

template<typename INT >

void anonymous_namespace{Iopx_DatabaseIO.C}::map_nodeset_id_data | ( | const Ioss::IntVector & | owning_processor,
|  | Ioss::Int64Vector & | owned_nodes,
|  | int | this_processor,
|  | const INT * | ids,
|  | size_t | ids_size,
|  | std::vector< INT > & | file_data
| ) |  |

## ◆ SEP()

const std::string anonymous_namespace{Iopx_DatabaseIO.C}::SEP | ( |  | ) |

## Variable Documentation

## ◆ complex_suffix

const char* anonymous_namespace{Iopx_DatabaseIO.C}::complex_suffix[] = {".re", ".im"}

## ◆ max_line_length

const size_t anonymous_namespace{Iopx_DatabaseIO.C}::max_line_length = MAX_LINE_LENGTH